View Issue Details

IDProjectCategoryView StatusLast Update
0004441Kali Linux[All Projects] Kali Package Bugpublic2018-07-27 10:24
Reporterj4mbobAssigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.3 
Summary0004441: gnuradio QT flowgraph bug
Descriptionfresh install of Kali MATE 2017.3

apt-get update && apt-get upgrade && apt-get dist-upgrade && apt-get install kali-linux-sdr only commands used post install. Able to reproduce.

executing any QT gnuradio flowgraph results in the following: (even an empty flowgraph with only QT GUI top block produces the same)

raceback (most recent call last):
File "/root/top_block.py", line 96, in <module>
main()
File "/root/top_block.py", line 84, in main
tb = top_block_cls()
File "/root/top_block.py", line 53, in __init__
self.restoreGeometry(self.settings.value("geometry ").toByteArray())
AttributeError: 'NoneType' object has no attribute 'toByteArray'

Steps To ReproduceAs mentioned. Fresh install of kali 2017.3 MATE

apt-get update && apt-get upgrade && apt-get dist-upgrade && apt-get install kali-linux-sdr

Produce basic flow graph in gnuradio-companion with only a QT gui top block

execute from within gnuradio-companion

Activities

vvvelichkov

vvvelichkov

2018-02-06 21:02

reporter   ~0008625

A new version 3.7.11-7 that resolves this issue has been published in debian sid.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=886807
https://bugs.launchpad.net/ubuntu/+source/gnuradio/+bug/1742448
raulsiles

raulsiles

2018-02-13 21:24

reporter   ~0008669

The Debian bug report referenced above includes the patch to fix it, but I guess the most stable option would be to update the Kali Linux repo to gnuradio version 3.7.11-7 (from the Debian repo):

https://bugs.debian.org/cgi-bin/bugreport.cgi?att=1;bug=886807;filename=qt5-qtgui-bug886807.patch;msg=10
rhertzog

rhertzog

2018-02-14 08:51

administrator   ~0008675

Yes we will just wait until the fixed gnuradio migrates to Debian testing and Kali Rolling. Should happen in 2-3 days.
raulsiles

raulsiles

2018-02-17 08:36

reporter   ~0008690

This issue can be closed, as the new gnuradio version 3.7.11-8 available from the Kali Rolling repos resolves the problem with QT GUI components.

Issue History

Date Modified Username Field Change
2017-12-23 11:02 j4mbob New Issue
2018-02-06 21:02 vvvelichkov Note Added: 0008625
2018-02-13 21:24 raulsiles Note Added: 0008669
2018-02-14 08:50 rhertzog Assigned To => rhertzog
2018-02-14 08:50 rhertzog Status new => assigned
2018-02-14 08:51 rhertzog Note Added: 0008675
2018-02-17 08:36 raulsiles Note Added: 0008690
2018-06-22 06:19 g0tmi1k Severity major => minor
2018-07-27 10:24 rhertzog Status assigned => resolved
2018-07-27 10:24 rhertzog Resolution open => fixed
2018-07-27 10:24 rhertzog Fixed in Version => 2018.3